PATCH
/boards/{board_id}/website_monitors/{id}Update website monitor
Update an existing website monitor. You can modify any of the monitoring configuration options including check intervals, content monitoring, HTTP methods, and notification preferences.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
board_idstringrequired
Unique ID of the board
idstringrequired
Unique ID of the website monitor
alert_any_locationbooleanoptional
Alert if any location down vs all locations down
alert_content_foundbooleanoptional
Alert if content found vs not found
check_contentbooleanoptional
Monitor content vs uptime
check_intervalintegeroptional
Check interval in minutes (1-5)
check_regionsarray<string>optional
Monitoring regions
contentstringoptional
Text content to search for
descriptionstringoptional
Optional description for the monitor
follow_redirectsbooleanoptional
Follow HTTP redirects
http_auth_passwordstringoptional
Basic authentication password
http_auth_usernamestringoptional
Basic authentication username
http_methodstringoptional
HTTP method to use
metadataobjectoptional
Key/value tags
monitor_group_idstringoptional
ID of the monitor group to assign this monitor to (set to null to remove from group)
namestringoptional
Display name for the monitor (cannot be empty if provided)
request_bodystringoptional
Request body for POST/PUT requests
request_headersarray<object>optional
HTTP headers to include with requests
response_codesstringoptional
Expected HTTP response code
retry_countintegeroptional
Number of retries before alerting
timeoutintegeroptional
Request timeout in seconds
urlstringoptional
Website URL to monitor (cannot be empty if provided)
200update with monitor group
dataobjectoptional
successbooleanoptional
401unauthorized
404website monitor not found
422validation errors
errorsarray<string>optional
successbooleanoptional
Error handling
A 401 is returned: unauthorized. A 404 is returned: website monitor not found. A 422 is returned: validation errors.